BizKitHub
DocsAPI ReferenceWarehouse/bff/warehouse/policy/upsert
postWarehouseAdmin BFF

/bff/warehouse/policy/upsert

Create or update a stock policy (Tier 1 #4)

WarehousepostBffWarehousePolicyUpsert

Parameters

JSON body

Request body

application/json
warehouseIdnumberRequired
productCodestring | nullOptional

Human-readable product code (mutually exclusive with virtualItemSku).

One of 2:
Variant 1
string
Length: 064
Variant 2
null
productVariantCodestring | nullOptional

Variant code, requires productCode.

One of 2:
Variant 1
string
Length: 064
Variant 2
null
virtualItemSkustring | nullOptional

Free-form virtual SKU for non-catalogue items.

One of 2:
Variant 1
string
Length: 0100
Variant 2
null
minThresholdnumber | nullOptional
One of 2:
Variant 1
number
Range: 0
Variant 2
null
reorderPointnumber | nullOptional
One of 2:
Variant 1
number
Range: 0
Variant 2
null
maxCapacitynumber | nullOptional
One of 2:
Variant 1
number
Range: 0
Variant 2
null
allowBackorderbooleanOptional
notifyChannelsstring | nullOptional
One of 2:
Variant 1
string
Length: 0120
Variant 2
null
isActivebooleanOptional
notestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
idnumberRequired
createdbooleanRequired

Response example

application/json
{
  "success": false,
  "id": 0,
  "created": false
}

Request example

POST /bff/warehouse/policy/upsert

post
curl -X POST "https://api.bizkithub.com/bff/warehouse/policy/upsert" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "warehouseId": 0,
  "allowBackorder": false,
  "isActive": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key